function Test=GetYmodBoost(Test,Sub,Param);

% function Test=GetYmodBoost(Test,Sub,Param);
% 
% calculates result according to AdaBoost M1

% target
Y = Sub(1).Test.Y;

% number of examples
P = size(Y,2);
% number of classes
M = size(Y,1);

Test.Boost.TRAIN.Ymod=zeros(size(Y));

for k=1:Param.BoostIt
    
    % classify
    for i = 1:P
        [dummy,maxindex]=max(Sub(k).Test.TRAIN.Ymod(1:M, i));
        Sub(k).Test.TRAIN.Ymod(:,i)=zeros(M,1);
        Sub(k).Test.TRAIN.Ymod(maxindex,i)=1;
    end   
    
    Test.Boost.TRAIN.Ymod=Sub(k).Test.TRAIN.Ymod*log(1/Param.beta(k)); % alternatively log10
    
    fprintf('\n Best score for Set %i\n',k)
    fprintf('  TRAIN rate: %4.2f \t RMS: %6.4f\t D-RMS: %6.4f \t Dscore: %6.4f \n',Sub(k).Test.TRAIN.rate*100,Sub(k).Test.TRAIN.RMS,Sub(k).Test.TRAIN.D_RMS,Sub(k).Test.TRAIN.res.Dscore)

    
end

Test.Boost.TRAIN.result.matrix = zeros(M, M);
% compare classification with desired values
for i = 1:P
    [dummy, desired_value] = max(Y(1:M, i));
    [dummy, actual_value]  = max(Test.TRAIN.Ymod(1:M, i));
    Test.Boost.TRAIN.result.matrix(desired_value, actual_value) = Test.Boost.TRAIN.result.matrix(desired_value, actual_value) + 1;
end   

Test.Boost.TRAIN.result.rate = trace(Test.Boost.TRAIN.result.matrix) / P;
Test.Boost.TRAIN.RMS=RMSerror(Y,Test.Boost.TRAIN.Ymod);

return


%%-----------------------------------------------------------------------------
%%
%%   Copyright (C) 2000-2004   
%%   Medizinische Physik,
%%   Universitaet Oldenburg, Germany
%%   All rights reserved. 
%%   http://www.physik.uni-oldenburg.de/docs/medi
%%
%%   Permission to use, copy, and distribute this software/file and its
%%   documentation for any purpose without permission by UNIVERSITAET OLDENBURG
%%   is not granted.
%%   
%%   Permission to use this software for purely research (excluding weapons 
%%   research) or educational purposes is granted, with the exception that 
%%   modified versions of the code may not be redistributed unless permission 
%%   has been obtained separately from UNIVERSITAET OLDENBURG.
%%
%%   Permission to use this software for weapons research or applications is 
%%   not granted.
%%
%%   No commercial exploitation of this software is permitted unless permission 
%%   has been obtained separately from UNIVERSITAET OLDENBURG. 
%%
%%   This software is provided "as is" without expressed or implied warranty.
%%
%%   Author:    Michael Kleinschmidt
%%   Co-Author: Bernd Meyer 
%%
%%   Please contact Bernd Meyer (bernd.meyer@uni-oldenburg.de) for 
%%   questions regarding this release.
%%----------------------------------------------------------------------------- 
