function []=OpenWindow(iFigureNum,position,name) 

% Function for opening and positioning of figure windows 
% 
% function []=OpenWindow(iFigureNum,name,position) 
% 
% Bsp.: OpenWindow(1,'Titel',[50 465 415 250]) 
%
% iFigureNum : figure handle
% position: vector containing four elements
%    1: x position of lower left corner on screen in pixels
%    2: y position of lower left corner on screen in pixels
%    3: size of window in pixels (horizontal direction)
%    4: size of window in pixels (vertical direction)
% name : window title as string

h=figure(iFigureNum);
set(h,'MenuBar','no');
set(h,'NumberTitle','off');
set(h,'Name',name);
set(h,'Position',position);

return
%%-----------------------------------------------------------------------------
%%
%%   Copyright (C) 2000-2004   
%%   Medizinische Physik,
%%   Universitaet Oldenburg, Germany
%%   All rights reserved. 
%%   http://www.physik.uni-oldenburg.de/docs/medi
%%
%%   Permission to use, copy, and distribute this software/file and its
%%   documentation for any purpose without permission by UNIVERSITAET OLDENBURG
%%   is not granted.
%%   
%%   Permission to use this software for purely research (excluding weapons 
%%   research) or educational purposes is granted, with the exception that 
%%   modified versions of the code may not be redistributed unless permission 
%%   has been obtained separately from UNIVERSITAET OLDENBURG.
%%
%%   Permission to use this software for weapons research or applications is 
%%   not granted.
%%
%%   No commercial exploitation of this software is permitted unless permission 
%%   has been obtained separately from UNIVERSITAET OLDENBURG. 
%%
%%   This software is provided "as is" without expressed or implied warranty.
%%
%%   Author:    Michael Kleinschmidt
%%   Co-Author: Bernd Meyer 
%%
%%   Please contact Bernd Meyer (bernd.meyer@uni-oldenburg.de) for 
%%   questions regarding this release.
%%----------------------------------------------------------------------------- 