function Y = maketarget(vLabels, classnum)

% generates the desired output matrix Y (target matrix) from labels
%
% Syntax: Y = maketarget(vLabels,classnum)
% Example: 
%
% Input: 
% - vLabels contains the correct classification
% - classnum is the number M of possible outout classes
%	
% Output:
% -- Y is a (M*P) = (number of classes * number of patterns) matrix
%      where Y=(M,P). mapping: 1 -> 1, 2 -> 2, aso
%
% Michael Kleinschmidt, AG MEDI, Uni Oldenburg   19.6.99
% modified mk, ICSI, Nov 2001

Y = zeros(classnum, length(vLabels));

for i = 1:length(vLabels)
    Y(vLabels(i),i) = 1;
end   

return
%%-----------------------------------------------------------------------------
%%
%%   Copyright (C) 2000-2004   
%%   Medizinische Physik,
%%   Universitaet Oldenburg, Germany
%%   All rights reserved. 
%%   http://www.physik.uni-oldenburg.de/docs/medi
%%
%%   Permission to use, copy, and distribute this software/file and its
%%   documentation for any purpose without permission by UNIVERSITAET OLDENBURG
%%   is not granted.
%%   
%%   Permission to use this software for purely research (excluding weapons 
%%   research) or educational purposes is granted, with the exception that 
%%   modified versions of the code may not be redistributed unless permission 
%%   has been obtained separately from UNIVERSITAET OLDENBURG.
%%
%%   Permission to use this software for weapons research or applications is 
%%   not granted.
%%
%%   No commercial exploitation of this software is permitted unless permission 
%%   has been obtained separately from UNIVERSITAET OLDENBURG. 
%%
%%   This software is provided "as is" without expressed or implied warranty.
%%
%%   Author:    Michael Kleinschmidt
%%   Co-Author: Bernd Meyer 
%%
%%   Please contact Bernd Meyer (bernd.meyer@uni-oldenburg.de) for 
%%   questions regarding this release.
%%----------------------------------------------------------------------------- 